package com.atlassian.stash.internal.spring;

/**
 * A generic matcher for {@link org.springframework.web.servlet.ModelAndView} instances.
 */
public class ModelAndViewMatcher extends AbstractModelAndViewMatcher<ModelAndViewMatcher> {
    public static ModelAndViewMatcher modelAndView(String name) {
        return new ModelAndViewMatcher(name);
    }

    private ModelAndViewMatcher(String name) {
        super(name);
    }

    @Override
    protected ModelAndViewMatcher self() {
        return this;
    }
}

